Get log export configuration
Returns the function’s configured log export destination and which log types are exported. Headers are never returned. Returns 404 (error code 10005) when no destination is configured for the function.
GET
/
compute
/
funcs
/
{id}
/
logs
/
export
Get log export configuration
curl --request GET \
--url https://api.telnyx.com/v2/compute/funcs/{id}/logs/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/compute/funcs/{id}/logs/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/compute/funcs/{id}/logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"record_type": "compute_func_log_export_config",
"id": "cfg-1",
"func_id": "6b7e8f9a-1c2d-3e4f-5a6b-7c8d9e0f1a2b",
"endpoint": "https://api.honeycomb.io/v1/logs",
"enabled": true,
"runtime_export_enabled": true,
"invocation_export_enabled": true,
"created_at": "2026-09-18T14:30:00.000Z",
"updated_at": "2026-09-21T18:00:00.000Z"
}
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10001",
"title": "Unauthorized",
"detail": "Invalid or missing API key."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10010",
"title": "Internal server error",
"detail": "An unexpected error occurred."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Function ID
Response
Log export configuration retrieved successfully
Metadata-only view of a function's log export destination. Header values are write-only (encrypted server-side) and never appear in any response.
Show child attributes
Show child attributes
Was this page helpful?
Get log export configuration
